Package com.xceptance.xlt.api.engine.scripting

# Class AbstractHtmlUnitScriptTestCase

java.lang.Object
com.xceptance.xlt.api.tests.AbstractTestCase
com.xceptance.xlt.api.engine.scripting.AbstractHtmlUnitScriptTestCase

public abstract class AbstractHtmlUnitScriptTestCase extends AbstractTestCase
Base class of all scripted tests that use the Action-based API.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractHtmlUnitScriptTestCase()`
  Default constructor.
  `AbstractHtmlUnitScriptTestCase(String baseUrl)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `__cleanUpAbstractHtmlUnitScriptTestCase()`
  Performs additional cleanup tasks for HtmlUnit/action-based exported script test cases.
  `final void`
  `__setUpAbstractHtmlUnitScriptTestCase()`
  Performs additional setup tasks for HtmlUnit/action-based exported script test cases.
  `protected boolean`
  `evaluatesToTrue(String jsExpression)`
  Returns whether or not the given expression evaluates to `true`.
  `protected String`
  `resolve(String resolvable)`
  Resolves the given string.
  `protected String`
  `resolveKey(String key)`
  Resolves the given test data key.

  ### Methods inherited from class com.xceptance.xlt.api.tests.AbstractTestCase

  `__setup, __tearDown, getEffectiveKey, getProperty, getProperty, getProperty, getProperty, getSimpleName, getTestDataSet, getTestName, reconfigureStartUrl, setTestDataSet, setTestName, setTestName, setUp, tearDown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractHtmlUnitScriptTestCase

    public AbstractHtmlUnitScriptTestCase(String baseUrl)
    Constructor.
    Parameters:
      `baseUrl` - the base URL to use for resolution of relative URLs

  - ### AbstractHtmlUnitScriptTestCase

    public AbstractHtmlUnitScriptTestCase()
    Default constructor.

- ## Method Details

  - ### __setUpAbstractHtmlUnitScriptTestCase

    public final void __setUpAbstractHtmlUnitScriptTestCase()
    Performs additional setup tasks for HtmlUnit/action-based exported script test cases. Don't call this method directly, it will be called implicitly by the JUnit framework.

  - ### __cleanUpAbstractHtmlUnitScriptTestCase

    public final void __cleanUpAbstractHtmlUnitScriptTestCase()
    Performs additional cleanup tasks for HtmlUnit/action-based exported script test cases. Don't call this method directly, it will be called implicitly by the JUnit framework.

  - ### resolve

    protected String resolve(String resolvable)
    Resolves the given string.
    Parameters:
      `resolvable` - the string to be resolved
    Returns:
      the resolved string

  - ### resolveKey

    protected String resolveKey(String key)
    Resolves the given test data key.
    Parameters:
      `key` - the key string containing only the name of a test data field
    Returns:
      resolved string or `null` if not found

  - ### evaluatesToTrue

    protected boolean evaluatesToTrue(String jsExpression)
    Returns whether or not the given expression evaluates to `true`.
    Parameters:
      `jsExpression` - the JavaScript expression to evaluate
    Returns:
      `true` if and only if the given JavaScript expression is not blank and evaluates to `true`